drstylex
Contributor
Contributor

Cannot Add New Proxy Agents After Upgrade to 7.2

Jump to solution

After upgrading from vRA 7.1 to 7.2, I can no longer use the IaaS installer downloaded from https://<vra>:5480/installer.

When I run the installer I get:  "A newer version of this product is already installed on this machine."

2017-01-10_11-56-25.png

When looking at the logs, it seems the issue is the Management Agent is at version 9559.  But the IaaS Installer on the vRA appliance is at version 9518.

2017-01-10_11-59-49.png

Any ideas?

0 Kudos
1 Solution

Accepted Solutions
drstylex
Contributor
Contributor

Just wanted to supply the solution for this:

The management agent for version 7.2 when you upgrade is build 9559.  Because this build number is higher than 9518, the build number supplied on the 7.2 IaaS Installer webpage, you will get the error as stated on my original post.

To resolve:


Uninstall management agents from all IaaS servers after upgrade is completed successfully and re-install the management agents on the IaaS installer page.  Now the IaaS installer will work properly.

View solution in original post

0 Kudos
2 Replies
FMbanusi
Contributor
Contributor

I ran into this today.

Take a look at your existing proxy agent versions for any of your compute resources. In my case the first thing I noticed was that the agent status on all the compute resources were "down". I then looked at the proxy agent version for each of the compute resources and it showed the old version that I was upgrading from, instead of the new version of 7.2 post upgrade.

From the control panel, I uninstalled the proxy agents from my agent servers, as well as the management service, which then allowed me to reinstall those proxy agents and get past that annoying error message that said "A newer version of this product is already installed on this machine."

drstylex
Contributor
Contributor

Just wanted to supply the solution for this:

The management agent for version 7.2 when you upgrade is build 9559.  Because this build number is higher than 9518, the build number supplied on the 7.2 IaaS Installer webpage, you will get the error as stated on my original post.

To resolve:


Uninstall management agents from all IaaS servers after upgrade is completed successfully and re-install the management agents on the IaaS installer page.  Now the IaaS installer will work properly.

0 Kudos